AbstractNotificationHandler (Java SE 10 & JDK 10 )
Keywords: com.sun.nio.sctp.AbstractNotificationHandler class

Module jdk.sctp
Package com.sun.nio.sctp

## Class AbstractNotificationHandler<T>

- java.lang.Object
- - com.sun.nio.sctp.AbstractNotificationHandler<T>

- All Implemented Interfaces:
    `NotificationHandler<T>`

      public class AbstractNotificationHandler<T>
      extends Object
      implements NotificationHandler<T>

  A skeletal handler that consumes notifications and continues.

  This class trivially implements the `handleNotification` methods to return `CONTINUE` so that all notifications are consumed and the channel continues to try and receive a message.

  It also provides overloaded versions of the `handleNotification` methods, one for each of the required supported notification types, `AssociationChangeNotification`, `PeerAddressChangeNotification`, `SendFailedNotification`, and `ShutdownNotification`. The appropriate method will be invoked when the notification is received.

  Since:
    1.7

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractNotificationHandler()` | Initializes a new instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HandlerResult` | `handleNotification​(AssociationChangeNotification notification, T attachment)` | Invoked when an `AssociationChangeNotification` is received from the SCTP stack.
    `HandlerResult` | `handleNotification​(Notification notification, T attachment)` | Invoked when an implementation specific notification is received from the SCTP stack.
    `HandlerResult` | `handleNotification​(PeerAddressChangeNotification notification, T attachment)` | Invoked when an `PeerAddressChangeNotification` is received from the SCTP stack.
    `HandlerResult` | `handleNotification​(SendFailedNotification notification, T attachment)` | Invoked when an `SendFailedNotification` is received from the SCTP stack.
    `HandlerResult` | `handleNotification​(ShutdownNotification notification, T attachment)` | Invoked when an `ShutdownNotification` is received from the SCTP stack.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractNotificationHandler

          protected AbstractNotificationHandler()

      Initializes a new instance of this class.

  - ### Method Detail

    - #### handleNotification

          public HandlerResult handleNotification​(Notification notification,
                                                  T attachment)

      Invoked when an implementation specific notification is received from the SCTP stack.
      Specified by:
        `handleNotification` in interface `NotificationHandler<T>`
      Parameters:
        `notification` - The notification
        `attachment` - The object attached to the `receive` operation when it was initiated.
      Returns:
        The handler result

    - #### handleNotification

          public HandlerResult handleNotification​(AssociationChangeNotification notification,
                                                  T attachment)

      Invoked when an `AssociationChangeNotification` is received from the SCTP stack.
      Parameters:
        `notification` - The notification
        `attachment` - The object attached to the `receive` operation when it was initiated.
      Returns:
        The handler result

    - #### handleNotification

          public HandlerResult handleNotification​(PeerAddressChangeNotification notification,
                                                  T attachment)

      Invoked when an `PeerAddressChangeNotification` is received from the SCTP stack.
      Parameters:
        `notification` - The notification
        `attachment` - The object attached to the `receive` operation when it was initiated.
      Returns:
        The handler result

    - #### handleNotification

          public HandlerResult handleNotification​(SendFailedNotification notification,
                                                  T attachment)

      Invoked when an `SendFailedNotification` is received from the SCTP stack.
      Parameters:
        `notification` - The notification
        `attachment` - The object attached to the `receive` operation when it was initiated.
      Returns:
        The handler result

    - #### handleNotification

          public HandlerResult handleNotification​(ShutdownNotification notification,
                                                  T attachment)

      Invoked when an `ShutdownNotification` is received from the SCTP stack.
      Parameters:
        `notification` - The notification
        `attachment` - The object attached to the `receive` operation when it was initiated.
      Returns:
        The handler result